/*
 * Copyright (c) eHealth
 */
package be.ehealth.technicalconnector.service.sts.security.impl;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import be.ehealth.technicalconnector.beid.BeIDInfo;


/**
 * Integration test for BeIDCredential
 * 
 * @author EHP
 * 
 * 
 * 
 */
public class BeIDCredentialUserIntegrationTest {

    private static final Logger LOG = LoggerFactory.getLogger(BeIDCredentialUserIntegrationTest.class);

    /**
     * Creates a new BeIDInfo instance which will read the ID card Requires an ID card connected
     * 
     * @author EHP
     */
    @Test
    public void test() throws Exception {
        BeIDInfo info = BeIDInfo.getInstance("test");
        LOG.debug(info.getIdentity().getNationalNumber());
    }

}
